> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mudstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload a part of a multi part upload to a temp location using the upload id

> Upload a part of a multi-part upload to a temporary location. Requires key, upload_id, part_no, mime_type, and optionally checksum.



## OpenAPI

````yaml post /workspaces/import/upload/part
openapi: 3.0.0
info:
  title: Mudstack API
  version: 2.41.0
servers:
  - url: https://api.mudstack.com
security: []
tags: []
paths:
  /workspaces/import/upload/part:
    post:
      tags:
        - Asset Import (upload alternative)
      description: >-
        Upload a part of a multi-part upload to a temporary location. Requires
        key, upload_id, part_no, mime_type, and optionally checksum.
      parameters:
        - $ref: '#/components/parameters/account_id'
        - $ref: '#/components/parameters/workspace_id'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                key:
                  type: string
                  description: The key of the file part
                upload_id:
                  type: string
                  description: The upload ID of the multi-part upload
                part_no:
                  type: integer
                  description: The part number of the file part
                mime_type:
                  type: string
                  description: The MIME type of the file part
                checksum:
                  $ref: '#/components/schemas/ChecksumPayload'
      responses:
        '200':
          description: Signed URL for the temp location
          content:
            application/json:
              schema:
                type: object
                properties:
                  signedUrl:
                    type: string
                    description: The signed URL for the temp location
      security:
        - Authentication: []
components:
  parameters:
    account_id:
      name: x-account-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
    workspace_id:
      name: x-workspace-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    ChecksumPayload:
      type: object
      description: Payload containing checksum information.
      properties:
        algorithm:
          type: string
          enum:
            - CRC32
            - CRC32C
            - CRC64NVME
            - SHA1
            - SHA256
          description: The algorithm used for the checksum.
        value:
          type: string
          description: The checksum value.
  securitySchemes:
    Authentication:
      type: http
      scheme: bearer
      bearerFormat: JWT

````